<?php
namespace App\Http\Controllers\Api;

use App\Service\CodeService;
use App\Service\EmployeeService;
use App\Service\LoginService;
use App\Service\TokenService;
use Illuminate\Http\Request;

//登录
class LoginController extends BaseController
{
    const MOBILE = '[mobile]';// 手机端
    const PERSONAL_COMPUTER = '[personalComputer]';// 电脑端

    public static $port = [
        self::MOBILE => '',
        self::PERSONAL_COMPUTER => '',
    ];

    public function login(Request $request){
        $data = $request->only("account","password","code");

        //ip 校验
        $return = (new LoginService())->loginRule($data);
        if(! $return) return $this->json_return(201,'','IP不在允许登录范围！');

        //code 校验
        list($status,$msg) = (new CodeService())->loginCodeRule($data);
        if(! $status) return $this->json_return(201,'',$msg);

        //登录
        $result = (new EmployeeService())->loginRule($data);
        list($bool, $return) = $result;
        if(! $bool) return $this->json_return(201,'',$return);

        //生成token
        $jwtToken = TokenService::getToken($return['id']);
        $jwtToken = self::PERSONAL_COMPUTER . $jwtToken;

        return $this->json_return(200,'', ['token' => $jwtToken, 'emp_name'=>$return['name']]);
    }
}
