<?php

use Illuminate\Http\Request;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::any('login', 'Api\LoginController@login');//登录
Route::any('sendLoginCode', 'Api\CodeController@sendLoginCode');//发送登录验证码
Route::group(['middleware'=> ['checkLogin']],function ($route){
    $route->any('sendConfirmCode', 'Api\CodeController@sendConfirmCode');//发送确认验证码

    $route->any('financeList', 'Api\FinanceController@financeList');//财务出款
    $route->any('financeDetailList', 'Api\FinanceController@financeDetailList');//出款明细
    $route->any('financeImport', 'Api\FinanceController@financeImport');//财务出款导入
    $route->any('financeConfirm', 'Api\FinanceController@financeConfirm');//确认

    $route->any('menuAdd', 'Api\SysMenuController@add');
    $route->any('menuEdit', 'Api\SysMenuController@edit');
    $route->any('menuDel', 'Api\SysMenuController@del');
    $route->any('menuList', 'Api\SysMenuController@menuList');

    $route->any('employeeAdd', 'Api\EmployeeController@employeeAdd');
    $route->any('employeeEdit', 'Api\EmployeeController@employeeEdit');
    $route->any('employeeDel', 'Api\EmployeeController@employeeDel');
    $route->any('employeeList', 'Api\EmployeeController@employeeList');

    $route->any('departAdd', 'Api\EmployeeController@departAdd');
    $route->any('departEdit', 'Api\EmployeeController@departEdit');
    $route->any('departDel', 'Api\EmployeeController@departDel');
    $route->any('departList', 'Api\EmployeeController@departList');

    $route->any('roleAdd', 'Api\EmployeeController@roleAdd');
    $route->any('roleEdit', 'Api\EmployeeController@roleEdit');
    $route->any('roleDel', 'Api\EmployeeController@roleDel');
    $route->any('roleList', 'Api\EmployeeController@roleList');

    $route->any('employeeDepart', 'Api\EmployeeController@employeeDepart');
    $route->any('employeeRole', 'Api\EmployeeController@employeeRole');
});
